Xampp php_zmq.dll无法加载

我知道之前已经问过这个问题,但我无法解决我的问题。</ p>

我的php版本是 PHP Version 7.0.13 </ code> </ p>

架构是 x86 </ code> </ p>
\ n

我的apache版本是 Apache / 2.4.23(Win32)OpenSSL / 1.0.2h PHP / 7.0.13 </ code> </ p>

我尝试安装 zmq与作曲家,这里是作曲家需要部分</ p>

“react / zmq”:“0.2。* | 0.3。*”</ code> </ p>
\ n

我怎么得到这条消息</ p>


PHP警告:PHP启动:无法加载动态库'C:\ xampp \ php \ ext \ php_zmq.dll ' - %1不是有效的Win32应用程序。
在第0行的未知中</ p>

警告:PHP启动:无法加载动态库'C:\ xampp \ php \ ext \ php_zmq .dll' - %1不是有效的Win32应用程序。
在第0行的未知中</ p>
</ blockquote>

https://pecl.php.net/package/zmq/1.1.3/windows </ a > </ p>

我尝试安装该链接中可用的所有pacakage,而不是将 php_zmq.dll </ code>和 libzmq.dll </ code>复制到 他们应该在哪里,我已经在我的php.ini中编写了扩展名</ p>

[ZMQ]
extension = php_zmq.dll </ code> </ p>

但我总是得到以下错误。 有人可以帮我,我该怎么办?</ p>

谢谢</ p>
</ div>

展开原文

原文

i know this question has been asked before but, i can't solve my problem.

my php version is PHP Version 7.0.13

the Architecture is x86

and my apache version is Apache/2.4.23 (Win32) OpenSSL/1.0.2h PHP/7.0.13

i try to install the zmq with composer and here is the composer require part

"react/zmq": "0.2.*|0.3.*"

how ever i got this message

PHP Warning: PHP Startup: Unable to load dynamic library 'C:\xampp\php\ext\php_zmq.dll' - %1 is not a valid Win32 application. in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'C:\xampp\php\ext\php_zmq.dll' - %1 is not a valid Win32 application. in Unknown on line 0

https://pecl.php.net/package/zmq/1.1.3/windows

i try to install all pacakage that available in that link, than copy the php_zmq.dll and libzmq.dll to the part where they should, and i already write the extension to in my php.ini

[ZMQ] extension=php_zmq.dll

but all i always get that following error. Someone can help me what should i do?

thank you

duanluan033648
duanluan033648 我已经尝试了@RendyEkoPrastiyo
3 年多之前 回复
dswwuo1223
dswwuo1223 你试过这个还是这个?
3 年多之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问